﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.BusinessLogicsContracts
{
	public interface ICustomerLogic
	{
		List<CustomerViewModel>? ReadList(CustomerSearchModel? model);
		CustomerViewModel? ReadElement(CustomerSearchModel model);
		bool Create(CustomerBindingModel model);
		bool Update(CustomerBindingModel model);
		bool Delete(CustomerBindingModel model);
	}
}
