﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.BusinessLogicsContracts
{
	public interface IItemForRepairLogic
	{
		List<ItemForRepairViewModel>? ReadList(ItemForRepairSearchModel? model);
		ItemForRepairViewModel? ReadElement(ItemForRepairSearchModel model);
		bool Create(ItemForRepairBindingModel model);
		bool Update(ItemForRepairBindingModel model);
		bool Delete(ItemForRepairBindingModel model);
	}
}
