﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.BusinessLogicsContracts
{
	public interface IItemLogic
	{
		List<ItemViewModel>? ReadList(ItemSearchModel? model);
		ItemViewModel? ReadElement(ItemSearchModel model);
		bool Create(ItemBindingModel model);
		bool Update(ItemBindingModel model);
		bool Delete(ItemBindingModel model);
	}
}
