﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.BusinessLogicsContracts
{
	public interface IVehicleLogic
	{
		List<VehicleViewModel>? ReadList(VehicleSearchModel? model);
		VehicleViewModel? ReadElement(VehicleSearchModel model);
		bool Create(VehicleBindingModel model);
		bool Update(VehicleBindingModel model);
		bool Delete(VehicleBindingModel model);
	}
}
