﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.BusinessLogicsContracts
{
	public interface IWorkerLogic
	{
		List<WorkerViewModel>? ReadList(WorkerSearchModel? model);
		WorkerViewModel? ReadElement(WorkerSearchModel model);
		bool Create(WorkerBindingModel model);
		bool Update(WorkerBindingModel model);
		bool Delete(WorkerBindingModel model);
	}
}
