﻿using CarServiceContracts.Id;

namespace CarServiceContracts.Models
{
	/// <summary>
	/// Клиент
	/// </summary>
    public interface ICustomerModel : IId
	{
		/// <summary>
		/// Логин
		/// </summary>
		string Login { get; }
		/// <summary>
		/// Пароль
		/// </summary>
		string Password { get; }
		/// <summary>
		/// Имя
		/// </summary>
		string Name { get; }
		/// <summary>
		/// Фамилия
		/// </summary>
		string Surname { get; }
	}
}
