﻿using CarServiceContracts.Id;

namespace CarServiceContracts.Models
{
	/// <summary>
	/// Затрата на ремонт
	/// </summary>
    public interface IItemForRepairModel : IId
	{
		/// <summary>
		/// Количество
		/// </summary>
		int Count { get; }
		/// <summary>
		/// Id статьм затрат
		/// </summary>
		int ItemId { get; }
		/// <summary>
		/// Id заявки на ремонт
		/// </summary>
		int RepairRequestId { get; }
	}
}
