﻿using CarServiceContracts.Id;

namespace CarServiceContracts.Models
{
	/// <summary>
	/// Заявка на ремонт
	/// </summary>
    public interface IRepairRequestModel : IId
	{
		/// <summary>
		/// Дата создания
		/// </summary>
		DateTime DateCreated { get; }
		/// <summary>
		/// Id транспортного средства
		/// </summary>
		int VehicleId { get; }
	}
}
