﻿using CarServiceContracts.Id;

namespace CarServiceContracts.Models
{
	/// <summary>
	/// Транспортное средство
	/// </summary>
    public interface IVehicleModel : IId
	{
		/// <summary>
		/// Наименование
		/// </summary>
		string Name { get; }
		/// <summary>
		/// Гос. номер
		/// </summary>
		string? Plate { get; }
		/// <summary>
		/// ВИН-номер
		/// </summary>
		string? VIN { get; }
		/// <summary>
		/// Id клиента
		/// </summary>
		int CustomerId { get; }
	}
}
