﻿using CarServiceContracts.Id;

namespace CarServiceContracts.Models
{
	/// <summary>
	/// Работа в заявке
	/// </summary>
    public interface IWorkInRequestModel : IId
	{
		/// <summary>
		/// Количество работ
		/// </summary>
		int Count { get; }
		/// <summary>
		/// Стоимость
		/// </summary>
		decimal Cost { get; }
		/// <summary>
		/// Id заявки на ремонт
		/// </summary>
		int RepairRequestId { get; }
		/// <summary>
		/// Id работы
		/// </summary>
		int WorkId { get; }
	}
}
