﻿using CarServiceContracts.Id;

namespace CarServiceContracts.Models
{
	/// <summary>
	/// Работа
	/// </summary>
	public interface IWorkModel : IId
	{
		/// <summary>
		/// Наименование
		/// </summary>
		string Name { get; }
		/// <summary>
		/// Стоимость работы
		/// </summary>
		decimal Price { get; }
		/// <summary>
		/// Длительность
		/// </summary>
		decimal Duration { get; }
		/// <summary>
		/// Id сотрудника
		/// </summary>
		int WorkerId { get; }
	}
}
