﻿using CarServiceContracts.Id;

namespace CarServiceContracts.Models
{
	/// <summary>
	/// Оплата работы
	/// </summary>
    public interface IWorkPaymentModel : IId
	{
		/// <summary>
		/// Дата оплаты
		/// </summary>
		DateTime DatePayment { get; }
		/// <summary>
		/// Сумма
		/// </summary>
		decimal Sum { get; }
		/// <summary>
		/// Id работы в заявке
		/// </summary>
		int WorkInRequestId { get; }
	}
}
