﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.StorageContracts
{
	public interface ICustomerStorage
	{
		List<CustomerViewModel> GetFullList();
		List<CustomerViewModel> GetFilteredList(CustomerSearchModel model);
		CustomerViewModel? GetElement(CustomerSearchModel model);
		CustomerViewModel? Insert(CustomerBindingModel model);
		CustomerViewModel? Update(CustomerBindingModel model);
		CustomerViewModel? Delete(CustomerBindingModel model);
	}
}
