﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.StorageContracts
{
	public interface IRepairRequestStorage
	{
		List<RepairRequestViewModel> GetFullList();
		List<RepairRequestViewModel> GetFilteredList(RepairRequestSearchModel model);
		RepairRequestViewModel? GetElement(RepairRequestSearchModel model);
		RepairRequestViewModel? Insert(RepairRequestBindingModel model);
		RepairRequestViewModel? Update(RepairRequestBindingModel model);
		RepairRequestViewModel? Delete(RepairRequestBindingModel model);
	}
}
