﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.StorageContracts
{
	public interface IWorkInRequestStorage
	{
		List<WorkInRequestViewModel> GetFullList();
		List<WorkInRequestViewModel> GetFilteredList(WorkInRequestSearchModel model);
		WorkInRequestViewModel? GetElement(WorkInRequestSearchModel model);
		WorkInRequestViewModel? Insert(WorkInRequestBindingModel model);
		WorkInRequestViewModel? Update(WorkInRequestBindingModel model);
		WorkInRequestViewModel? Delete(WorkInRequestBindingModel model);
	}
}
