﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.StorageContracts
{
	public interface IWorkPaymentStorage
	{
		List<WorkPaymentViewModel> GetFullList();
		List<WorkPaymentViewModel> GetFilteredList(WorkPaymentSearchModel model);
		WorkPaymentViewModel? GetElement(WorkPaymentSearchModel model);
		WorkPaymentViewModel? Insert(WorkPaymentBindingModel model);
		WorkPaymentViewModel? Update(WorkPaymentBindingModel model);
		WorkPaymentViewModel? Delete(WorkPaymentBindingModel model);
		List<ReportWorksWithPaymentsViewModel> GetPaymentsByWorks(WorkPaymentSearchModel model);
	}
}
