﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.StorageContracts
{
	public interface IWorkStorage
	{
		List<WorkViewModel> GetFullList();
		List<WorkViewModel> GetFilteredList(WorkSearchModel model);
		WorkViewModel? GetElement(WorkSearchModel model);
		List<ReportWorkWithRequestsViewModel> GetWorksWithRequest(WorkSearchModel model);
		WorkViewModel? Insert(WorkBindingModel model);
		WorkViewModel? Update(WorkBindingModel model);
		WorkViewModel? Delete(WorkBindingModel model);
	}
}
