﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.StorageContracts
{
	public interface IWorkerStorage
	{
		List<WorkerViewModel> GetFullList();
		List<WorkerViewModel> GetFilteredList(WorkerSearchModel model);
		WorkerViewModel? GetElement(WorkerSearchModel model);
		WorkerViewModel? Insert(WorkerBindingModel model);
		WorkerViewModel? Update(WorkerBindingModel model);
		WorkerViewModel? Delete(WorkerBindingModel model);
	}
}
