﻿using CarServiceContracts.Models;
using System.ComponentModel;

namespace CarServiceContracts.ViewModels
{
	public class ItemViewModel : IItemModel
	{
		public int Id { get; set; }
		[DisplayName("Наименование")]
		public string Name { get; set; } = string.Empty;
		[DisplayName("Цена")]
		public decimal Price { get; set; }
		[DisplayName("Количество")]
		public int Count { get; set; }
		public int WorkerId { get; set; }
		[DisplayName("Сотрудник")]
		public string WorkerName { get; set; } = string.Empty;
	}
}
