﻿namespace CarServiceContracts.ViewModels
{
	/// <summary>
	/// Модель для получения всех заявок по работе для отчета
	/// </summary>
	public class ReportWorkWithRequestsViewModel
	{
		/// <summary>
		/// Название работы
		/// </summary>
		public string WorkName { get; set; } = string.Empty;
		/// <summary>
		/// Заявки в работе
		/// </summary>
		public List<ReportRepairRequestViewModel> RepairRequests { get; set; } = new();
	}
}
