﻿namespace CarServiceContracts.ViewModels
{
	public class ReportWorksWithPaymentsViewModel
	{
		/// <summary>
		/// Дата оплаты
		/// </summary>
		public DateTime PaymentDate { get; set; } = DateTime.Now;
		/// <summary>
		/// Имя и фамилия клиента
		/// </summary>
		public string CustomerName { get; set; } = string.Empty;
		/// <summary>
		/// Номер заявки
		/// </summary>
		public int RepairRequestId { get; set; }
		/// <summary>
		/// Название + гос. номер ТС
		/// </summary>
		public string VehicleNameAndPlate { get; set; } = string.Empty;
		/// <summary>
		/// Название работы
		/// </summary>
		public string WorkName { get; set; } = string.Empty;
		/// <summary>
		/// Цена работы
		/// </summary>
		public decimal WorkPrice { get; set; }
		/// <summary>
		/// Количество работ
		/// </summary>
		public int Count { get; set; }
		/// <summary>
		/// Общая сумма
		/// </summary>
		public decimal TotalSum { get; set; }
		/// <summary>
		/// Внесенная сумма
		/// </summary>
		public decimal PaymentSum { get; set; }
		/// <summary>
		/// Всего оплачено
		/// </summary>
		public decimal Paid { get; set; }
		/// <summary>
		/// Осталось оплатить
		/// </summary>
		public decimal NotPaid { get; set; }
	}
}
