﻿using CarServiceContracts.Models;
using System.ComponentModel;

namespace CarServiceContracts.ViewModels
{
	public class WorkViewModel : IWorkModel
	{
		public int Id { get; set; }
		[DisplayName("Наименование")]
		public string Name { get; set; } = string.Empty;
		[DisplayName("Стоимость работы")]
		public decimal Price { get; set; }
		[DisplayName("Длительность")]
		public decimal Duration { get; set; }
		public int WorkerId { get; set; }
		[DisplayName("Работник")]
		public string WorkerName { get; set; } = string.Empty;
	}
}
