﻿namespace CarServiceContracts.BindingModels
{
	public class ReportBindingModel
	{
		public string FileName { get; set; } = string.Empty;
		/// <summary>
		/// Выбранные работы для отчета по заявкам
		/// </summary>
		public List<int>? SelectedWorks { get; set; }
		/// <summary>
		/// Начало периода для отчета по оплатам
		/// </summary>
		public DateTime? DateFrom { get; set; }
		/// <summary>
		/// Конец периода для отчета по оплатам
		/// </summary>
		public DateTime? DateTo { get; set; }
	}
}
