﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.BusinessLogicsContracts
{
	public interface IRepairRequestLogic
	{
		List<RepairRequestViewModel>? ReadList(RepairRequestSearchModel? model);
		RepairRequestViewModel? ReadElement(RepairRequestSearchModel model);
		bool Create(RepairRequestBindingModel model);
		bool Update(RepairRequestBindingModel model);
		bool Delete(RepairRequestBindingModel model);
	}
}
