﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.BusinessLogicsContracts
{
	public interface IWorkInRequestLogic
	{
		List<WorkInRequestViewModel>? ReadList(WorkInRequestSearchModel? model);
		WorkInRequestViewModel? ReadElement(WorkInRequestSearchModel model);
		bool Create(WorkInRequestBindingModel model);
		bool Update(WorkInRequestBindingModel model);
		bool Delete(WorkInRequestBindingModel model);
	}
}
