﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.BusinessLogicsContracts
{
	public interface IWorkLogic
	{
		List<WorkViewModel>? ReadList(WorkSearchModel? model);
		WorkViewModel? ReadElement(WorkSearchModel model);
		bool Create(WorkBindingModel model);
		bool Update(WorkBindingModel model);
		bool Delete(WorkBindingModel model);
	}
}
