﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.BusinessLogicsContracts
{
	public interface IWorkPaymentLogic
	{
		List<WorkPaymentViewModel>? ReadList(WorkPaymentSearchModel? model);
		WorkPaymentViewModel? ReadElement(WorkPaymentSearchModel model);
		bool Create(WorkPaymentBindingModel model);
		bool Update(WorkPaymentBindingModel model);
		bool Delete(WorkPaymentBindingModel model);
	}
}
