﻿using CarServiceContracts.Id;

namespace CarServiceContracts.Models
{
	/// <summary>
	/// Статья затрат
	/// </summary>
	public interface IItemModel : IId
	{
		/// <summary>
		/// Наименование
		/// </summary>
		string Name { get; }
		/// <summary>
		/// Цена
		/// </summary>
		decimal Price { get; }
		/// <summary>
		/// Количество
		/// </summary>
		int Count { get; }
		/// <summary>
		/// Id сотрудника
		/// </summary>
		int WorkerId { get; }
	}
}
