﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.StorageContracts
{
	public interface IItemForRepairStorage
	{
		List<ItemForRepairViewModel> GetFullList();
		List<ItemForRepairViewModel> GetFilteredList(ItemForRepairSearchModel model);
		ItemForRepairViewModel? GetElement(ItemForRepairSearchModel model);
		ItemForRepairViewModel? Insert(ItemForRepairBindingModel model);
		ItemForRepairViewModel? Update(ItemForRepairBindingModel model);
		ItemForRepairViewModel? Delete(ItemForRepairBindingModel model);
	}
}
