﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.StorageContracts
{
	public interface IVehicleStorage
	{
		List<VehicleViewModel> GetFullList();
		List<VehicleViewModel> GetFilteredList(VehicleSearchModel model);
		VehicleViewModel? GetElement(VehicleSearchModel model);
		VehicleViewModel? Insert(VehicleBindingModel model);
		VehicleViewModel? Update(VehicleBindingModel model);
		VehicleViewModel? Delete(VehicleBindingModel model);
	}
}
