﻿using CarServiceContracts.Models;
using System.ComponentModel;

namespace CarServiceContracts.ViewModels
{
	public class RepairRequestViewModel : IRepairRequestModel
	{
		[DisplayName("Номер заявки")]
		public int Id { get; set; }
		[DisplayName("Дата создания")]
		public DateTime DateCreated { get; set; } = DateTime.Now;
		public int VehicleId { get; set; }
		public string VehicleName { get; set; } = string.Empty;
		public string VehiclePlate { get; set; } = string.Empty;
		public string VehicleVIN { get; set; } = string.Empty;
		public string CustomerName { get; set; } = string.Empty;
	}
}
