﻿namespace CarServiceContracts.ViewModels
{
	/// <summary>
	/// Модель для получения одной заявки для отчета
	/// </summary>
	public class ReportRepairRequestViewModel
	{
		/// <summary>
		/// Номер заявки
		/// </summary>
		public int RepairRequestId { get; set; }
		/// <summary>
		/// Дата создания заявки
		/// </summary>
		public DateTime RepairRequestDateCreated { get; set; } = DateTime.Now;
		/// <summary>
		/// Имя клиента
		/// </summary>
		public string CustomerName { get; set; } = string.Empty;
		/// <summary>
		/// Название ТС
		/// </summary>
		public string VehicleName { get; set; } = string.Empty;
		/// <summary>
		/// Гос. номер
		/// </summary>
		public string Plate { get; set; } = string.Empty;
		/// <summary>
		/// Количество работ
		/// </summary>
		public int WorksCount { get; set; }
	}
}
